Package org.optaplanner.core.impl.score.stream.drools

## Class DroolsConstraintSessionFactory.KieBaseCache<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.DroolsConstraintSessionFactory.KieBaseCache<Solution_,​Score_>

- Enclosing class:
    DroolsConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>

      public static final class DroolsConstraintSessionFactory.KieBaseCache<Solution_,​Score_ extends Score<Score_>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieBaseCache​(Map<DroolsConstraint<Solution_>,​Score_> constraintToWeightMap, Map<DroolsConstraint<Solution_>,​org.drools.model.Global<WeightedScoreImpacter>> constraintToGlobalMap, org.kie.api.KieBase kieBase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<DroolsConstraint<Solution_>,​org.drools.model.Global<WeightedScoreImpacter>>` | `getConstraintToGlobalMap()` |
    `org.kie.api.KieBase` | `getKieBase()` |
    `boolean` | `isUpToDate​(Map<DroolsConstraint<Solution_>,​Score_> currentConstraintWeightMap)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KieBaseCache

          public KieBaseCache​(Map<DroolsConstraint<Solution_>,​Score_> constraintToWeightMap,
                              Map<DroolsConstraint<Solution_>,​org.drools.model.Global<WeightedScoreImpacter>> constraintToGlobalMap,
                              org.kie.api.KieBase kieBase)

  - ### Method Detail

    - #### isUpToDate

          public boolean isUpToDate​(Map<DroolsConstraint<Solution_>,​Score_> currentConstraintWeightMap)

    - #### getConstraintToGlobalMap

          public Map<DroolsConstraint<Solution_>,​org.drools.model.Global<WeightedScoreImpacter>> getConstraintToGlobalMap()

    - #### getKieBase

          public org.kie.api.KieBase getKieBase()